# B15F: TimeoutException Class Reference

TimeoutException Class Reference

`#include <timeoutexception.h>`

Inheritance diagram for TimeoutException:

## Public Member Functions

| TimeoutException (const char *message)
| TimeoutException (const std::string &message)
virtual | ~TimeoutException ()=default
virtual const char * | what () const throw ()

## Protected Attributes

std::string | msg
| failure description

## Detailed Description

Exception for USART related timeouts.

Definition at line 9 of file timeoutexception.h.

## Constructor & Destructor Documentation

## TimeoutException() [1/2]

TimeoutException::TimeoutException | ( | const char * | message | ) |

inlineexplicit

Constructor

Parameters

  message | as c-string

Definition at line 16 of file timeoutexception.h.

## TimeoutException() [2/2]

TimeoutException::TimeoutException | ( | const std::string & | message | ) |

inlineexplicit

Constructor

Parameters

  message | as c++-string

Definition at line 24 of file timeoutexception.h.

## ~TimeoutException()

virtual TimeoutException::~TimeoutException | ( |  | ) |

virtualdefault

Standard-destructor

## Member Function Documentation

## what()

virtual const char* TimeoutException::what | ( |  | ) | const
throw | ( |
| ) |  |

inlinevirtual

Get failure description

Returns
  error message as c-string

Definition at line 37 of file timeoutexception.h.

The documentation for this class was generated from the following file:

- drv/timeoutexception.h